# $Revision: 1.448.2.17 $, $Date: 2007/03/22 00:41:55 $
#
# Conditional build:
%bcond_without	alsa		# build without ALSA support
%bcond_without	apidocs		# don't prepare API documentation
%bcond_without  autoreqdep	# don't care about package name deps generated by rpm
%bcond_without	heimdal		# disable kerberos
%bcond_with	verbose		# verbose build
%bcond_with	hidden_visibility	# pass '--fvisibility=hidden'
					# & '--fvisibility-inlines-hidden'
					# to g++
#
%define		_state		stable
%define		artsver		13:1.5.6

Summary:	K Desktop Environment - libraries
Summary(es):	K Desktop Environment - bibliotecas
Summary(ko):	KDE - ̺귯
Summary(pl):	K Desktop Environment - biblioteki
Summary(pt_BR):	Bibliotecas de fundao do KDE
Summary(ru):	K Desktop Environment - 
Summary(uk):	K Desktop Environment - ̦
Name:		kdelibs
Version:	3.5.6
Release:	3
Epoch:		9
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	e4d137879a66e92b895b3de5413a61d8
Source1:	%{name}-wmfplugin.tar.bz2
# Source1-md5:	df0d7c2a13bb68fe25e1d6c009df5b8d
Source2:	pnm.protocol
Source3:	x-icq.mimelnk
Source4:	x-mplayer2.desktop
Patch100:	%{name}-branch.diff
Patch0:		kde-common-PLD.patch
Patch1:		%{name}-kstandarddirs.patch
Patch3:		%{name}-use_system_sgml.patch
Patch4:		%{name}-fileshareset.patch
Patch5:		%{name}-appicon_themable.patch
Patch6:		%{name}-kbugreport-https.patch
Patch7:		%{name}-xgl.patch
Patch8:		%{name}-konqueror-agent.patch
Patch9:		kde-ac260-lt.patch
URL:		http://www.kde.org/
BuildRequires:	OpenEXR-devel >= 1.2.2
BuildRequires:	acl-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	arts-qt-devel >= %{artsver}
BuildRequires:	artsc-devel >= %{artsver}
BuildRequires:	aspell-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6.1
BuildRequires:	bzip2-devel
BuildRequires:	cups-devel
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	ed
BuildRequires:	fam-devel
%{?with_hidden_visibility:BuildRequires:	gcc-c++ >= 5:4.1.0-0.20051206r108118.1}
BuildRequires:	gettext-devel
%{?with_apidocs:BuildRequires:	graphviz}
%{?with_heimdal:BuildRequires:	heimdal-devel}
BuildRequires:	hspell-devel
BuildRequires:	jasper-devel >= 1.600
BuildRequires:	libart_lgpl-devel
BuildRequires:	libidn-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 2.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5-2
BuildRequires:	libvorbis-devel
BuildRequires:	libwmf-devel >= 2:0.2.0
BuildRequires:	libxml2-devel >= 2.4.9
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel >= 1.0.7
BuildRequires:	lua50-devel
BuildRequires:	mdns-bonjour-devel
BuildRequires:	openmotif-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pcre-devel >= 3.5
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 6:3.3.3-4
%{?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.3.5.051113-1}
%{?with_apidocs:BuildRequires:	qt-doc}
BuildRequires:	rpmbuild(macros) >= 1.129
#BuildRequires:	unsermake >= 040511
BuildRequires:	zlib-devel
%if %{with autoreqdep}
BuildConflicts:	kdebase-core < 9:3.4.0
BuildConflicts:	kdepim-korganizer-libs
BuildConflicts:	kdepim-libkdepim < 3:3.3.0
%endif
Requires:	arts >= %{artsver}
Requires:	docbook-dtd412-xml
Requires:	docbook-dtd42-xml
Requires:	docbook-style-xsl
Requires:	hicolor-icon-theme
Requires:	qt >= 6:3.3.3-4
Requires:	setup >= 2.4.6-7
Obsoletes:	arts-kde
Obsoletes:	kde-theme-keramik
Obsoletes:	kdelibs-kabc
Obsoletes:	kdelibs-sound
Obsoletes:	kdelibs2
Obsoletes:	kdelibs2-sound
Obsoletes:	kdesupport
Obsoletes:	kdesupport-devel
Obsoletes:	kdesupport-mimelib
Obsoletes:	kdesupport-mimelib-devel
Obsoletes:	kdesupport-mimelib-static
Obsoletes:	kdesupport-static
Obsoletes:	kimproxy
# No longer supported/existing
Obsoletes:	arts-message
Obsoletes:	kde-sdscreen-KDEGirl
Obsoletes:	kde-sdscreen-default
Obsoletes:	kde-splash-KDEGirl < 03-5
Obsoletes:	kde-splash-default
Obsoletes:	kde-splash-keramik
Obsoletes:	kdeadmin-kwuftpd
Obsoletes:	kdeadmin-kxconfig
Obsoletes:	kdebase-kwmtheme
Obsoletes:	kdebase-mailnews
Obsoletes:	kdeedu-kgeo
Obsoletes:	kdegames-megami
Obsoletes:	kdenetwork-kmail
Obsoletes:	kdenetwork-knode
Obsoletes:	kdenetwork-kxmlrpcd
Obsoletes:	kdepim-commonlibs
Obsoletes:	kdepim-kaplan
Obsoletes:	kdesdk
Obsoletes:	kdesdk-devel
# More
Obsoletes:	kde-style-plastik
Obsoletes:	kdepim-kaddressbook < 3:3.1.91.030918-1
Obsoletes:	kdepim-kmail < 3:3.1.91.030918-1
Obsoletes:	kdepim-kontact < 3:3.1.91.030918-1
Obsoletes:	kdepim-korganizer < 3:3.1.91.030918-1
Obsoletes:	kdepim-libkcal < 3:3.1.91.030918-1
Obsoletes:	kdepim-libkdenetwork < 3:3.1.91.030918-1
Obsoletes:	kdepim-libkdepim < 3:3.2.90
Obsoletes:	kdetoys-kaphorism < 9:3.2.0
Obsoletes:	openoffice-mimelinks
Conflicts:	kaffeine <= 0.5-1
Conflicts:	kdeaddons-konqueror < 1:3.4.0
Conflicts:	kdebase-core < 9:3.4.0
Conflicts:	kdenetwork-kit < 10:3.3.0
Conflicts:	kdepim-devel < 3:3.2.90
Conflicts:	kmplayer <= 2:0.8.4-1
Conflicts:	kplayer < 0.5.1-5
Conflicts:	pixieplus < 0.3-4
Conflicts:	sim < 0.9.3-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# confuses OpenEXR detection
%undefine	configure_cache

%description
This package includes libraries that are central to the development
and execution of a KDE program, misc HTML documentation and theme
modules.

Included in this package are among others:
- kdecore - KDE core library,
- kdeui - KDE user interface library,
- khtml - KDE HTML widget with javascript and CSS support,
- kwallet - KDE password manager.

%description -l es
Bibliotecas para KDE.

%description -l pl
Ten pakiet zawiera biblioteki potrzebne do rozwijania i uruchamiania
aplikacji KDE, rn dokumentacj oraz moduy z motywami wygldu KDE.

Pakiet ten zawiera midzy innymi:
- kdecore - podstawow bibliotek KDE,
- kdeui - interfejs uytkownika KDE,
- khtml - obsug HTML, javascript oraz CSS dla KDE,
- kwallet - system zarzdzania hasami w KDE.

%description -l pt_BR
Bibliotecas de fundao do KDE requeridas por todo e qualquer
aplicativo KDE.

%description -l ru
  K Desktop Environment.

  KDE:
- jscript (javascript),
- kdecore ( KDE),
- kdeui ( ),
- khtmlw (  HTML),
- kimgio ( ).
- kspell ( ),

%description -l uk
̦  K Desktop Environment.

Φ ˦ ¦̦ KDE:
- jscript (javascript),
- kdecore ( KDE),
- kdeui ( ),
- khtmlw (  HTML),
- kimgio ( ).
- kspell (צ Ʀ),

%package libs
Summary:	KDE libraries
Summary(pl):	Biblioteki KDE
Group:		Libraries

%description libs
KDE libraries.

%description libs -l pl
Biblioteki KDE.

%package devel
Summary:	kdelibs - header files and development documentation
Summary(pl):	kdelibs - pliki nagwkowe i dokumentacja do kdelibs
Summary(pt_BR):	Arquivos de incluso e documentao para compilar aplicativos KDE
Summary(ru):	      KDE
Summary(uk):	  æ  Цæ  KDE
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	acl-devel
Requires:	arts-qt-devel >= %{artsver}
Requires:	artsc-devel >= %{artsver}
Requires:	fam-devel
Requires:	libart_lgpl-devel
Requires:	libidn-devel
Requires:	mdns-bonjour-devel
Requires:	pcre-devel
Requires:	qt-devel >= 6:3.3.3-4
Obsoletes:	arts-kde-devel
Obsoletes:	kdelibs-sound-devel
Obsoletes:	kdelibs-static
Obsoletes:	kdelibs2-devel
Obsoletes:	kdelibs2-sound-devel
Obsoletes:	kttsd-devel
Conflicts:	kdebase-devel <= 9:3.1.90

%description devel
This package contains header files and development documentation for
kdelibs.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe i dokumentacj potrzebn przy
pisaniu wasnych programw wykorzystujcych kdelibs.

%description devel -l pt_BR
Este pacote contm os arquivos de incluso que so necessrios para
compilar aplicativos KDE.

%description devel -l ru
   ,     
KDE.

%description devel -l uk
  ͦ , ȦΦ  Цæ   KDE.

%package apidocs
Summary:	API documentation
Summary(pl):	Dokumentacja API
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kttsd-apidocs

%description apidocs
Annotated reference of KDE libraries programming interface including:
- class lists
- class members
- namespaces

%description apidocs -l pl
Dokumentacja interfejsu programowania bibliotek KDE z przypisami.
Zawiera:
- listy klas i ich skadnikw
- list przestrzeni nazw (namespace)

%package artsmessage
Summary:	Program used to display aRts daemon messages
Summary(pl):	Program do wywietlania komunikatw demona aRts
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	arts-message

%description artsmessage
This program is run when a -m option argument is passed to aRts
daemon. It displays messages generated by daemon.

%description artsmessage -l pl
Ten program jest uruchamiany, gdy do demona aRts zostanie przekazana
opcja z parametrem -m. Bdzie on uywany do wywietlenia komunikatw
demona.

%package kgrantpty
Summary:	Helper program to fix terminal permissions
Summary(pl):	Program pomocniczy do ustawiania uprawnie terminala
Group:		Applications/Terminal
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description kgrantpty
This suid root program fixes the permissions of pseudo-terminal device
files so that they cannot be eavesdropped by other local users.
Systems that support /dev/pts (typical PLD installations do) don't
require an extra program to do it, in that case this package is
useless.

Install this package if you're running a custom system that lacks
Unix98 pts support and privacy from other local users is a concern for
you.

%description kgrantpty -l pl
Ten program, dziaajcy z uprawnieniami roota, poprawia uprawnienia
plikw pseudo-terminali, eby unikn ich podsuchiwania przez innych
lokalnych uytkownikw. Systemy obsugujce /dev/pts (typowe
instalacje PLD go obsuguj) nie wymagaj do tego dodatkowego
programu, w tym przypadku ten pakiet jest bezuyteczny.

Zainstaluj ten pakiet jeeli korzystasz z nietypowej konfiguracji
nieobsugujcej pts-w typu Unix98 i obawiasz si inwigilacji ze
strony innych uytkownikw lokalnych.

%prep
%setup -q -a1
%patch100 -p0
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

rm -f configure
cp /usr/share/automake/config.sub admin

%build
export kde_htmldir=%{_kdedocdir}
export kde_libs_htmldir=%{_kdedocdir}
if [ ! -f configure ]; then
	%{__make} -f admin/Makefile.common cvs
fi

export path_sudo=/usr/bin/sudo
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?debug:--disable-rpath} \
	--disable-final \
	%{?with_hidden_visibility:--enable-gcc-hidden-visibility} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--enable-mitshm \
	--with%{!?with_alsa:out}-alsa \
	--with-distribution="PLD Linux Distribution" \
	--with-ldap=no \
	--with-lua-includes=%{_includedir}/lua50 \
	--with-qt-libraries=%{_libdir} \
	--with-sudo-kdesu-backend

%{__make}
%{?with_apidocs:%{__make} apidox}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}
	kde_libs_htmldir=%{_kdedocdir}

install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/services
install %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-icq.desktop
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/mimelnk/application

install -d \
	$RPM_BUILD_ROOT/etc/security \
	$RPM_BUILD_ROOT%{_libdir}/kconf_update_bin \
	$RPM_BUILD_ROOT%{_datadir}/applnk/.hidden \
	$RPM_BUILD_ROOT%{_datadir}/apps/khtml/kpartplugins \
	$RPM_BUILD_ROOT%{_datadir}/apps/profiles \
	$RPM_BUILD_ROOT%{_datadir}/apps/remotes \
	$RPM_BUILD_ROOT%{_datadir}/config/magic \
	$RPM_BUILD_ROOT%{_datadir}/config.kcfg \
	$RPM_BUILD_ROOT%{_datadir}/services/kconfiguredialog \
	$RPM_BUILD_ROOT%{_iconsdir}/crystalsvg/{16x16,22x22,32x32,48x48,64x64,128x128}/apps

# For fileshare
touch $RPM_BUILD_ROOT/etc/security/fileshare.conf
%{__sed} -i -e 's|/etc/init.d|/etc/rc.d/init.d|g' $RPM_BUILD_ROOT%{_bindir}/fileshare*

if [ -d $RPM_BUILD_ROOT%{_kdedocdir}/en/%{name}-%{version}-apidocs ] ; then
	mv -f $RPM_BUILD_ROOT%{_kdedocdir}/en/%{name}-{%{version}-,}apidocs
fi

# packaged by hicolor-icon-theme
rm $RPM_BUILD_ROOT%{_iconsdir}/hicolor/index.theme

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%ghost /etc/security/fileshare.conf
%attr(755,root,root) %{_bindir}/checkXML
%attr(755,root,root) %{_bindir}/cupsdconf
%attr(755,root,root) %{_bindir}/cupsdoprint
%attr(755,root,root) %{_bindir}/dcop
%attr(755,root,root) %{_bindir}/dcopclient
%attr(755,root,root) %{_bindir}/dcopfind
%attr(755,root,root) %{_bindir}/dcopidlng
%attr(755,root,root) %{_bindir}/dcopobject
%attr(755,root,root) %{_bindir}/dcopquit
%attr(755,root,root) %{_bindir}/dcopref
%attr(755,root,root) %{_bindir}/dcopserver
%attr(755,root,root) %{_bindir}/dcopserver_shutdown
%attr(755,root,root) %{_bindir}/dcopstart
#%attr(755,root,root) %{_bindir}/ghns
%attr(2755,root,fileshare) %{_bindir}/filesharelist
%attr(2755,root,fileshare) %{_bindir}/fileshareset
%attr(755,root,root) %{_bindir}/imagetops
%attr(755,root,root) %{_bindir}/kaddprinterwizard
%attr(755,root,root) %{_bindir}/kbuildsycoca
%attr(755,root,root) %{_bindir}/kcmshell
%attr(755,root,root) %{_bindir}/kconf_update
%attr(755,root,root) %{_bindir}/kcookiejar
%attr(755,root,root) %{_bindir}/kde-config
%attr(755,root,root) %{_bindir}/kde-menu
%attr(755,root,root) %{_bindir}/kded
%attr(755,root,root) %{_bindir}/kdeinit
%attr(755,root,root) %{_bindir}/kdeinit_shutdown
%attr(755,root,root) %{_bindir}/kdeinit_wrapper
%attr(755,root,root) %{_bindir}/kdesu_stub
%attr(755,root,root) %{_bindir}/kdontchangethehostname
%attr(755,root,root) %{_bindir}/kdostartupconfig
%attr(755,root,root) %{_bindir}/kfile
%attr(755,root,root) %{_bindir}/khotnewstuff
# removed?
#%attr(755,root,root) %{_bindir}/kimage_concat
%attr(755,root,root) %{_bindir}/kinstalltheme
%attr(755,root,root) %{_bindir}/kio_http_cache_cleaner
%attr(755,root,root) %{_bindir}/kio_uiserver
%attr(755,root,root) %{_bindir}/kioexec
%attr(755,root,root) %{_bindir}/kioslave
%attr(755,root,root) %{_bindir}/klauncher
%attr(755,root,root) %{_bindir}/kmailservice
%attr(755,root,root) %{_bindir}/kpac_dhcp_helper
%attr(755,root,root) %{_bindir}/ksendbugmail
%attr(755,root,root) %{_bindir}/kshell
%attr(755,root,root) %{_bindir}/kstartupconfig
%attr(755,root,root) %{_bindir}/ksvgtopng
%attr(755,root,root) %{_bindir}/ktelnetservice
%attr(755,root,root) %{_bindir}/ktradertest
%attr(755,root,root) %{_bindir}/kunittestmodrunner
%attr(755,root,root) %{_bindir}/kwrapper
%attr(755,root,root) %{_bindir}/lnusertemp
%attr(755,root,root) %{_bindir}/make_driver_db_cups
%attr(755,root,root) %{_bindir}/make_driver_db_lpr
%attr(755,root,root) %{_bindir}/makekdewidgets
%attr(755,root,root) %{_bindir}/meinproc
%attr(755,root,root) %{_bindir}/preparetips
%attr(4755,root,root) %{_bindir}/start_kdeinit

%dir %{_datadir}/apps
%{_datadir}/apps/LICENSES
%dir %{_datadir}/apps/dcopidlng
%attr(755,root,root) %{_datadir}/apps/dcopidlng/kalyptus
%{_datadir}/apps/dcopidlng/*.pm
%{_datadir}/apps/katepart
%{_datadir}/apps/kcertpart
%{_datadir}/apps/kcm_componentchooser
%dir %{_datadir}/apps/kconf_update
%attr(755,root,root) %{_datadir}/apps/kconf_update/*.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/*.sh
%{_datadir}/apps/kconf_update/*.upd
%{_datadir}/apps/kdeprint
%{_datadir}/apps/kdeui
%{_datadir}/apps/kdewidgets
# also contains 3rdparty kpartplugins dir
%{_datadir}/apps/khtml
%{_datadir}/apps/knewstuff
%{_datadir}/apps/kio_uiserver
%{_datadir}/apps/kjava
%{_datadir}/apps/knotify
%{_datadir}/apps/ksgmltools2
%{_datadir}/apps/kssl
%{_datadir}/apps/kstyle
%{_datadir}/apps/ktexteditor_docwordcompletion
%{_datadir}/apps/ktexteditor_insertfile
%{_datadir}/apps/ktexteditor_isearch
%{_datadir}/apps/ktexteditor_kdatatool
%{_datadir}/apps/proxyscout
%dir %{_datadir}/autostart
%{_datadir}/config
%dir %{_datadir}/emoticons
%{_datadir}/emoticons/Default
%{_datadir}/locale/all_languages
%{_datadir}/mimelnk
%dir %{_datadir}/services
%dir %{_datadir}/services/kresources
%{_datadir}/services/kresources/kabc_manager.desktop
%{_datadir}/services/kded
%{_datadir}/services/http_cache_cleaner.desktop
%{_datadir}/services/katepart.desktop
%{_datadir}/services/kbzip2filter.desktop
%{_datadir}/services/kcertpart.desktop
%{_datadir}/services/kgzipfilter.desktop
%{_datadir}/services/khtml.desktop
%{_datadir}/services/khtmlimage.desktop
%{_datadir}/services/kio_uiserver.desktop
%{_datadir}/services/kjavaappletviewer.desktop
%{_datadir}/services/kmailservice.protocol
%{_datadir}/services/kmultipart.desktop
%{_datadir}/services/knotify.desktop
%{_datadir}/services/kspell_aspell.desktop
%{_datadir}/services/kspell_ispell.desktop
%{_datadir}/services/kspell_hspell.desktop
%{_datadir}/services/ktexteditor_docwordcompletion.desktop
%{_datadir}/services/ktexteditor_insertfile.desktop
%{_datadir}/services/ktexteditor_isearch.desktop
%{_datadir}/services/ktexteditor_kdatatool.desktop
%{_datadir}/services/wmfthumbnail.desktop
%{_datadir}/services/bmp.kimgio
%{_datadir}/services/dds.kimgio
%{_datadir}/services/eps.kimgio
%{_datadir}/services/exr.kimgio
%{_datadir}/services/gif.kimgio
%{_datadir}/services/hdr.kimgio
%{_datadir}/services/ico.kimgio
%{_datadir}/services/jp2.kimgio
%{_datadir}/services/jpeg.kimgio
#%{_datadir}/services/krl.kimgio
%{_datadir}/services/mng.kimgio
%{_datadir}/services/pbm.kimgio
%{_datadir}/services/pcx.kimgio
%{_datadir}/services/pgm.kimgio
%{_datadir}/services/png.kimgio
%{_datadir}/services/ppm.kimgio
%{_datadir}/services/psd.kimgio
%{_datadir}/services/rgb.kimgio
%{_datadir}/services/tga.kimgio
%{_datadir}/services/tiff.kimgio
%{_datadir}/services/xbm.kimgio
%{_datadir}/services/xcf.kimgio
%{_datadir}/services/xpm.kimgio
%{_datadir}/services/xv.kimgio
%{_datadir}/services/data.protocol
%{_datadir}/services/file.protocol
%{_datadir}/services/ftp.protocol
%{_datadir}/services/ghelp.protocol
%{_datadir}/services/help.protocol
%{_datadir}/services/http.protocol
%{_datadir}/services/https.protocol
%{_datadir}/services/metainfo.protocol
%{_datadir}/services/mms.protocol
%{_datadir}/services/pnm.protocol
%{_datadir}/services/rlogin.protocol
%{_datadir}/services/rtsp.protocol
%{_datadir}/services/shellscript.desktop
%{_datadir}/services/ssh.protocol
%{_datadir}/services/telnet.protocol
%{_datadir}/services/webdav.protocol
%{_datadir}/services/webdavs.protocol
%{_datadir}/services/mmst.protocol
%{_datadir}/services/mmsu.protocol
%{_datadir}/services/rtspt.protocol
%{_datadir}/services/rtspu.protocol
%{_datadir}/servicetypes
%dir %{_desktopdir}/kde
# contains also 3rdparty hicolor & crystalsvg/apps trees
%{_iconsdir}/crystalsvg
%{_iconsdir}/default.kde
%dir %{_docdir}/kde
%dir %{_kdedocdir}
%dir %{_kdedocdir}/en
%{_kdedocdir}/en/common
%lang(en) %{_kdedocdir}/en/kspell

# 3rdparty directories
%dir %{_datadir}/applnk
%dir %{_datadir}/applnk/.hidden
%dir %{_datadir}/apps/profiles
%dir %{_datadir}/apps/remotes
%dir %{_datadir}/config.kcfg
%dir %{_datadir}/services/kconfiguredialog

# merged kabc files
%attr(755,root,root) %{_bindir}/kab2kabc
%{_datadir}/apps/kabc
%{_datadir}/autostart/kab2kabc.desktop
%{_datadir}/services/kresources/kabc
%{_desktopdir}/kde/kresources.desktop

%files libs
%defattr(644,root,root,755)
%{_libdir}/libDCOP.la
%attr(755,root,root) %{_libdir}/libDCOP.so.*.*.*
%{_libdir}/libartskde.la
%attr(755,root,root) %{_libdir}/libartskde.so.*.*.*
%{_libdir}/libkabc.la
%attr(755,root,root) %{_libdir}/libkabc.so.*.*.*
%{_libdir}/libkabc_dir.la
%attr(755,root,root) %{_libdir}/libkabc_dir.so.*.*.*
%{_libdir}/libkabc_file.la
%attr(755,root,root) %{_libdir}/libkabc_file.so.*.*.*
%{_libdir}/libkabc_ldapkio.la
%attr(755,root,root) %{_libdir}/libkabc_ldapkio.so.*.*.*
%{_libdir}/libkabc_net.la
%attr(755,root,root) %{_libdir}/libkabc_net.so.*.*.*
%{_libdir}/libkatepartinterfaces.la
%attr(755,root,root) %{_libdir}/libkatepartinterfaces.so.*.*.*
%{_libdir}/libkdecore.la
%attr(755,root,root) %{_libdir}/libkdecore.so.*.*.*
%{_libdir}/libkdefakes.la
%attr(755,root,root) %{_libdir}/libkdefakes.so.*.*.*
%{_libdir}/libkdefx.la
%attr(755,root,root) %{_libdir}/libkdefx.so.*.*.*
%{_libdir}/libkdeinit_cupsdconf.la
%attr(755,root,root) %{_libdir}/libkdeinit_cupsdconf.so
%{_libdir}/libkdeinit_dcopserver.la
%attr(755,root,root) %{_libdir}/libkdeinit_dcopserver.so
%{_libdir}/libkdeinit_kaddprinterwizard.la
%attr(755,root,root) %{_libdir}/libkdeinit_kaddprinterwizard.so
%{_libdir}/libkdeinit_kbuildsycoca.la
%attr(755,root,root) %{_libdir}/libkdeinit_kbuildsycoca.so
%{_libdir}/libkdeinit_kcmshell.la
%attr(755,root,root) %{_libdir}/libkdeinit_kcmshell.so
%{_libdir}/libkdeinit_kconf_update.la
%attr(755,root,root) %{_libdir}/libkdeinit_kconf_update.so
%{_libdir}/libkdeinit_kcookiejar.la
%attr(755,root,root) %{_libdir}/libkdeinit_kcookiejar.so
%{_libdir}/libkdeinit_kded.la
%attr(755,root,root) %{_libdir}/libkdeinit_kded.so
%{_libdir}/libkdeinit_kio_http_cache_cleaner.la
%attr(755,root,root) %{_libdir}/libkdeinit_kio_http_cache_cleaner.so
%{_libdir}/libkdeinit_kio_uiserver.la
%attr(755,root,root) %{_libdir}/libkdeinit_kio_uiserver.so
%{_libdir}/libkdeinit_klauncher.la
%attr(755,root,root) %{_libdir}/libkdeinit_klauncher.so
%{_libdir}/libkdeprint.la
%attr(755,root,root) %{_libdir}/libkdeprint.so.*.*.*
%{_libdir}/libkdeprint_management.la
%attr(755,root,root) %{_libdir}/libkdeprint_management.so.*.*.*
%{_libdir}/libkdesasl.la
%attr(755,root,root) %{_libdir}/libkdesasl.so.*.*.*
%{_libdir}/libkdesu.la
%attr(755,root,root) %{_libdir}/libkdesu.so.*.*.*
%{_libdir}/libkdeui.la
%attr(755,root,root) %{_libdir}/libkdeui.so.*.*.*
%{_libdir}/libkdnssd.la
%attr(755,root,root) %{_libdir}/libkdnssd.so.*.*.*
%{_libdir}/libkhtml.la
%attr(755,root,root) %{_libdir}/libkhtml.so.*.*.*
%{_libdir}/libkimproxy.la
%attr(755,root,root) %{_libdir}/libkimproxy.so.*.*.*
%{_libdir}/libkio.la
%attr(755,root,root) %{_libdir}/libkio.so.*.*.*
%{_libdir}/libkjava.la
%attr(755,root,root) %{_libdir}/libkjava.so.*.*.*
%{_libdir}/libkjs.la
%attr(755,root,root) %{_libdir}/libkjs.so.*.*.*
%{_libdir}/libkmdi.la
%attr(755,root,root) %{_libdir}/libkmdi.so.*.*.*
%{_libdir}/libkmdi2.la
%attr(755,root,root) %{_libdir}/libkmdi2.so.*.*.*
%{_libdir}/libkmediaplayer.la
%attr(755,root,root) %{_libdir}/libkmediaplayer.so.*.*.*
%{_libdir}/libkmid.la
%attr(755,root,root) %{_libdir}/libkmid.so.*.*.*
%{_libdir}/libknewstuff.la
%attr(755,root,root) %{_libdir}/libknewstuff.so.*.*.*
%{_libdir}/libkntlm.la
%attr(755,root,root) %{_libdir}/libkntlm.so.*.*.*
%{_libdir}/libkparts.la
%attr(755,root,root) %{_libdir}/libkparts.so.*.*.*
%{_libdir}/libkresources.la
%attr(755,root,root) %{_libdir}/libkresources.so.*.*.*
%{_libdir}/libkscreensaver.la
%attr(755,root,root) %{_libdir}/libkscreensaver.so.*.*.*
%{_libdir}/libkscript.la
%attr(755,root,root) %{_libdir}/libkscript.so.*.*.*
%{_libdir}/libkspell.la
%attr(755,root,root) %{_libdir}/libkspell.so.*.*.*
%{_libdir}/libkspell2.la
%attr(755,root,root) %{_libdir}/libkspell2.so.*.*.*
%{_libdir}/libktexteditor.la
%attr(755,root,root) %{_libdir}/libktexteditor.so.*.*.*
%{_libdir}/libkunittest.la
%attr(755,root,root) %{_libdir}/libkunittest.so.*.*.*
%{_libdir}/libkutils.la
%attr(755,root,root) %{_libdir}/libkutils.so.*.*.*
%{_libdir}/libkwalletbackend.la
%attr(755,root,root) %{_libdir}/libkwalletbackend.so.*.*.*
%{_libdir}/libkwalletclient.la
%attr(755,root,root) %{_libdir}/libkwalletclient.so.*.*.*
%{_libdir}/libvcard.la
%attr(755,root,root) %{_libdir}/libvcard.so.*.*.*
%dir %{_libdir}/kde3
%{_libdir}/kde3/cupsdconf.la
%attr(755,root,root) %{_libdir}/kde3/cupsdconf.so
%{_libdir}/kde3/dcopserver.la
%attr(755,root,root) %{_libdir}/kde3/dcopserver.so
%{_libdir}/kde3/kaddprinterwizard.la
%attr(755,root,root) %{_libdir}/kde3/kaddprinterwizard.so
%{_libdir}/kde3/kbuildsycoca.la
%attr(755,root,root) %{_libdir}/kde3/kbuildsycoca.so
%{_libdir}/kde3/kbzip2filter.la
%attr(755,root,root) %{_libdir}/kde3/kbzip2filter.so
%{_libdir}/kde3/kcmshell.la
%attr(755,root,root) %{_libdir}/kde3/kcmshell.so
%{_libdir}/kde3/kconf_update.la
%attr(755,root,root) %{_libdir}/kde3/kconf_update.so
%{_libdir}/kde3/kcookiejar.la
%attr(755,root,root) %{_libdir}/kde3/kcookiejar.so
%{_libdir}/kde3/kded.la
%attr(755,root,root) %{_libdir}/kde3/kded.so
%{_libdir}/kde3/kded_kcookiejar.la
%attr(755,root,root) %{_libdir}/kde3/kded_kcookiejar.so
%{_libdir}/kde3/kded_kdeprintd.la
%attr(755,root,root) %{_libdir}/kde3/kded_kdeprintd.so
%{_libdir}/kde3/kded_kdetrayproxy.la
%attr(755,root,root) %{_libdir}/kde3/kded_kdetrayproxy.so
%{_libdir}/kde3/kded_kpasswdserver.la
%attr(755,root,root) %{_libdir}/kde3/kded_kpasswdserver.so
%{_libdir}/kde3/kded_kssld.la
%attr(755,root,root) %{_libdir}/kde3/kded_kssld.so
%{_libdir}/kde3/kded_kwalletd.la
%attr(755,root,root) %{_libdir}/kde3/kded_kwalletd.so
%{_libdir}/kde3/kded_proxyscout.la
%attr(755,root,root) %{_libdir}/kde3/kded_proxyscout.so
%{_libdir}/kde3/kdeprint_cups.la
%attr(755,root,root) %{_libdir}/kde3/kdeprint_cups.so
%{_libdir}/kde3/kdeprint_ext.la
%attr(755,root,root) %{_libdir}/kde3/kdeprint_ext.so
%{_libdir}/kde3/kdeprint_lpdunix.la
%attr(755,root,root) %{_libdir}/kde3/kdeprint_lpdunix.so
%{_libdir}/kde3/kdeprint_lpr.la
%attr(755,root,root) %{_libdir}/kde3/kdeprint_lpr.so
%{_libdir}/kde3/kdeprint_rlpr.la
%attr(755,root,root) %{_libdir}/kde3/kdeprint_rlpr.so
%{_libdir}/kde3/kdeprint_tool_escputil.la
%attr(755,root,root) %{_libdir}/kde3/kdeprint_tool_escputil.so
%{_libdir}/kde3/kfileaudiopreview.la
%attr(755,root,root) %{_libdir}/kde3/kfileaudiopreview.so
%{_libdir}/kde3/kgzipfilter.la
%attr(755,root,root) %{_libdir}/kde3/kgzipfilter.so
%{_libdir}/kde3/khtmlimagepart.la
%attr(755,root,root) %{_libdir}/kde3/khtmlimagepart.so
%{_libdir}/kde3/kimg_dds.la
%attr(755,root,root) %{_libdir}/kde3/kimg_dds.so
%{_libdir}/kde3/kimg_eps.la
%attr(755,root,root) %{_libdir}/kde3/kimg_eps.so
%{_libdir}/kde3/kimg_exr.la
%attr(755,root,root) %{_libdir}/kde3/kimg_exr.so
%{_libdir}/kde3/kimg_hdr.la
%attr(755,root,root) %{_libdir}/kde3/kimg_hdr.so
%{_libdir}/kde3/kimg_ico.la
%attr(755,root,root) %{_libdir}/kde3/kimg_ico.so
%{_libdir}/kde3/kimg_jp2.la
%attr(755,root,root) %{_libdir}/kde3/kimg_jp2.so
%{_libdir}/kde3/kimg_pcx.la
%attr(755,root,root) %{_libdir}/kde3/kimg_pcx.so
%{_libdir}/kde3/kimg_psd.la
%attr(755,root,root) %{_libdir}/kde3/kimg_psd.so
%{_libdir}/kde3/kimg_rgb.la
%attr(755,root,root) %{_libdir}/kde3/kimg_rgb.so
%{_libdir}/kde3/kimg_tga.la
%attr(755,root,root) %{_libdir}/kde3/kimg_tga.so
%{_libdir}/kde3/kimg_tiff.la
%attr(755,root,root) %{_libdir}/kde3/kimg_tiff.so
%{_libdir}/kde3/kimg_xcf.la
%attr(755,root,root) %{_libdir}/kde3/kimg_xcf.so
%{_libdir}/kde3/kimg_xview.la
%attr(755,root,root) %{_libdir}/kde3/kimg_xview.so
%{_libdir}/kde3/kio_file.la
%attr(755,root,root) %{_libdir}/kde3/kio_file.so
%{_libdir}/kde3/kio_ftp.la
%attr(755,root,root) %{_libdir}/kde3/kio_ftp.so
%{_libdir}/kde3/kio_ghelp.la
%attr(755,root,root) %{_libdir}/kde3/kio_ghelp.so
%{_libdir}/kde3/kio_help.la
%attr(755,root,root) %{_libdir}/kde3/kio_help.so
%{_libdir}/kde3/kio_http.la
%attr(755,root,root) %{_libdir}/kde3/kio_http.so
%{_libdir}/kde3/kio_http_cache_cleaner.la
%attr(755,root,root) %{_libdir}/kde3/kio_http_cache_cleaner.so
%{_libdir}/kde3/kio_metainfo.la
%attr(755,root,root) %{_libdir}/kde3/kio_metainfo.so
%{_libdir}/kde3/kio_uiserver.la
%attr(755,root,root) %{_libdir}/kde3/kio_uiserver.so
%{_libdir}/kde3/kjavaappletviewer.la
%attr(755,root,root) %{_libdir}/kde3/kjavaappletviewer.so
%{_libdir}/kde3/klauncher.la
%attr(755,root,root) %{_libdir}/kde3/klauncher.so
%{_libdir}/kde3/knotify.la
%attr(755,root,root) %{_libdir}/kde3/knotify.so
%{_libdir}/kde3/kspell_aspell.la
%attr(755,root,root) %{_libdir}/kde3/kspell_aspell.so
%{_libdir}/kde3/kspell_ispell.la
%attr(755,root,root) %{_libdir}/kde3/kspell_ispell.so
%{_libdir}/kde3/kspell_hspell.la
%attr(755,root,root) %{_libdir}/kde3/kspell_hspell.so
%{_libdir}/kde3/kstyle_highcontrast_config.la
%attr(755,root,root) %{_libdir}/kde3/kstyle_highcontrast_config.so
%{_libdir}/kde3/kstyle_plastik_config.la
%attr(755,root,root) %{_libdir}/kde3/kstyle_plastik_config.so
%{_libdir}/kde3/ktexteditor_docwordcompletion.la
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_docwordcompletion.so
%{_libdir}/kde3/ktexteditor_insertfile.la
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_insertfile.so
%{_libdir}/kde3/ktexteditor_isearch.la
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_isearch.so
%{_libdir}/kde3/ktexteditor_kdatatool.la
%attr(755,root,root) %{_libdir}/kde3/ktexteditor_kdatatool.so
%{_libdir}/kde3/libkatepart.la
%attr(755,root,root) %{_libdir}/kde3/libkatepart.so
%{_libdir}/kde3/libkcertpart.la
%attr(755,root,root) %{_libdir}/kde3/libkcertpart.so
%{_libdir}/kde3/libkdeprint_management_module.la
%attr(755,root,root) %{_libdir}/kde3/libkdeprint_management_module.so
%{_libdir}/kde3/libkhtmlpart.la
%attr(755,root,root) %{_libdir}/kde3/libkhtmlpart.so
%{_libdir}/kde3/libkmultipart.la
%attr(755,root,root) %{_libdir}/kde3/libkmultipart.so
%{_libdir}/kde3/libshellscript.la
%attr(755,root,root) %{_libdir}/kde3/libshellscript.so
%{_libdir}/kde3/wmfthumbnail.la
%attr(755,root,root) %{_libdir}/kde3/wmfthumbnail.so
%dir %{_libdir}/kde3/plugins
%dir %{_libdir}/kde3/plugins/designer
%{_libdir}/kde3/plugins/designer/kdewidgets.la
%attr(755,root,root) %{_libdir}/kde3/plugins/designer/kdewidgets.so
%dir %{_libdir}/kde3/plugins/styles
%{_libdir}/kde3/plugins/styles/highcolor.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/highcolor.so
%{_libdir}/kde3/plugins/styles/highcontrast.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/highcontrast.so
%{_libdir}/kde3/plugins/styles/keramik.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/keramik.so
%{_libdir}/kde3/plugins/styles/kthemestyle.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/kthemestyle.so
%{_libdir}/kde3/plugins/styles/light.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/light.so
%{_libdir}/kde3/plugins/styles/plastik.la
%attr(755,root,root) %{_libdir}/kde3/plugins/styles/plastik.so

# 3rdparty directories
%dir %{_libdir}/kconf_update_bin

# merged kabc files
%{_libdir}/kde3/kabc_dir.la
%attr(755,root,root) %{_libdir}/kde3/kabc_dir.so
%{_libdir}/kde3/kabc_file.la
%attr(755,root,root) %{_libdir}/kde3/kabc_file.so
%{_libdir}/kde3/kabc_ldapkio.la
%attr(755,root,root) %{_libdir}/kde3/kabc_ldapkio.so
%{_libdir}/kde3/kabc_net.la
%attr(755,root,root) %{_libdir}/kde3/kabc_net.so
%{_libdir}/kde3/kabcformat_binary.la
%attr(755,root,root) %{_libdir}/kde3/kabcformat_binary.so
%{_libdir}/kde3/kcm_kresources.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kresources.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dcopidl
%attr(755,root,root) %{_bindir}/dcopidl2cpp
%attr(755,root,root) %{_bindir}/kconfig_compiler
%attr(755,root,root) %{_libdir}/libDCOP.so
%attr(755,root,root) %{_libdir}/libartskde.so
%attr(755,root,root) %{_libdir}/libkabc.so
%attr(755,root,root) %{_libdir}/libkabc_dir.so
%attr(755,root,root) %{_libdir}/libkabc_file.so
%attr(755,root,root) %{_libdir}/libkabc_ldapkio.so
%attr(755,root,root) %{_libdir}/libkabc_net.so
%attr(755,root,root) %{_libdir}/libkatepartinterfaces.so
%attr(755,root,root) %{_libdir}/libkdecore.so
%attr(755,root,root) %{_libdir}/libkdefakes.so
%attr(755,root,root) %{_libdir}/libkdefx.so
%attr(755,root,root) %{_libdir}/libkdeprint.so
%attr(755,root,root) %{_libdir}/libkdeprint_management.so
%attr(755,root,root) %{_libdir}/libkdesasl.so
%attr(755,root,root) %{_libdir}/libkdesu.so
%attr(755,root,root) %{_libdir}/libkdeui.so
%attr(755,root,root) %{_libdir}/libkdnssd.so
%attr(755,root,root) %{_libdir}/libkhtml.so
%attr(755,root,root) %{_libdir}/libkimproxy.so
%attr(755,root,root) %{_libdir}/libkio.so
%attr(755,root,root) %{_libdir}/libkjava.so
%attr(755,root,root) %{_libdir}/libkjs.so
%attr(755,root,root) %{_libdir}/libkmdi.so
%attr(755,root,root) %{_libdir}/libkmdi2.so
%attr(755,root,root) %{_libdir}/libkmediaplayer.so
%attr(755,root,root) %{_libdir}/libkmid.so
%attr(755,root,root) %{_libdir}/libknewstuff.so
%attr(755,root,root) %{_libdir}/libkntlm.so
%attr(755,root,root) %{_libdir}/libkparts.so
%attr(755,root,root) %{_libdir}/libkresources.so
%attr(755,root,root) %{_libdir}/libkscreensaver.so
%attr(755,root,root) %{_libdir}/libkscript.so
%attr(755,root,root) %{_libdir}/libkspell.so
%attr(755,root,root) %{_libdir}/libkspell2.so
%attr(755,root,root) %{_libdir}/libktexteditor.so
%attr(755,root,root) %{_libdir}/libkunittest.so
%attr(755,root,root) %{_libdir}/libkutils.so
%attr(755,root,root) %{_libdir}/libkwalletbackend.so
%attr(755,root,root) %{_libdir}/libkwalletclient.so
#%attr(755,root,root) %{_libdir}/libqt-addon.so
%attr(755,root,root) %{_libdir}/libvcard.so
%{_libdir}/libkdefakes_nonpic.a
%{_includedir}/[!a]*
%{_includedir}/arts/*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_kdedocdir}/en/%{name}*-apidocs
%endif

%files artsmessage
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artsmessage

%files kgrantpty
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/kgrantpty

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdelibs.spec,v $
Revision 1.448.2.17  2007/03/22 00:41:55  hawk
- added konqueror-agent.patch
- release 3

Revision 1.448.2.16  2007/03/06 01:18:56  glen
- use virtual mdns-bonjour-devel; rel 2

Revision 1.448.2.15  2007/01/28 22:12:56  glen
- rel 1

Revision 1.448.2.14  2007/01/24 19:04:05  glen
- update Source0-md5

Revision 1.448.2.13  2007/01/17 14:25:16  glen
- KDE 3.5.6

Revision 1.448.2.12  2006/11/03 09:39:47  glen
- rel 1

Revision 1.448.2.11  2006/10/29 18:25:07  glen
- start_kdeinit is by default installed on Linux with a set SETUID root bit!
  This is needed to prevent kdeinit from being killed by a bad heuristic in the
  OOM-killer when running out of memory.
- cleanups

Revision 1.448.2.10  2006/10/15 14:39:38  glen
- prefer sudo in kdesu

Revision 1.448.2.9  2006/10/10 22:15:11  glen
- KDE 3.5.5

Revision 1.448.2.8  2006/09/18 19:44:02  glen
- korrect artsver

Revision 1.448.2.7  2006/07/31 16:06:44  glen
- adapterized

Revision 1.448.2.6  2006/07/31 16:01:10  glen
- 3.5.4

Revision 1.448.2.5  2006/05/30 16:07:26  charles
- fix %prepare section

Revision 1.448.2.4  2006/05/29 06:34:18  glen
- KDE 3.5.3

Revision 1.448.2.3  2006/04/05 22:50:28  glen
- merge with HEAD

Revision 1.448.2.2  2006/03/28 14:22:47  glen
- add exr bcond

Revision 1.448.2.1  2006/03/26 18:43:57  glen
- 3.5.2

Revision 1.448  2006/02/11 14:25:32  arekm
- branch patch updated

Revision 1.447  2006/01/22 16:25:40  arekm
- enable lua

Revision 1.446  2006/01/22 16:04:42  arekm
- updated to 3.5.1

Revision 1.445  2006/01/22 14:08:58  pluto
- branch diff updated, release 9.

Revision 1.444  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.443  2006/01/15 13:18:17  arekm
- rel 8; KJS sec fix

Revision 1.442  2005/12/31 17:00:27  arekm
- upstream fixes; rel++

Revision 1.441  2005/12/27 23:02:05  pluto
- disable-final (memory hog and no major optimizations).

Revision 1.440  2005/12/19 00:59:49  ankry
- rel. 6

Revision 1.439  2005/12/19 00:59:13  ankry
- more O:/C: for cleaner upgrade

Revision 1.438  2005/12/08 11:53:04  adgor
- hidden_visibility bcond

Revision 1.437  2005/12/06 23:43:23  glen
- adapterized
- apply branch diff
- rel 5

Revision 1.436  2005/12/01 08:27:31  arekm
- rel 4; rebuild without mdns + acl-devel br

Revision 1.435  2005/11/29 19:29:29  qboosh
- removed bogus _noautoreq, it doesn't work this way; mDNSResponder updated on builders already

Revision 1.434  2005/11/28 14:59:15  charles
- noautoreq mDNSResponder

Revision 1.433  2005/11/28 14:49:00  qboosh
- BR+R: acl-devel

Revision 1.432  2005/11/27 12:57:00  arekm
- rel 3; rebuild with new jasper

Revision 1.431  2005/11/26 13:39:06  arekm
- rel 2; new tarball

Revision 1.430  2005/11/23 09:33:23  arekm
- rel 1

Revision 1.429  2005/11/22 23:02:05  glen
- use https url for bugreports (http urls don't work with proxy)

Revision 1.428  2005/11/21 16:23:51  glen
- check-files todo

Revision 1.427  2005/11/21 14:41:19  glen
- update md5

Revision 1.426  2005/11/19 14:56:15  glen
- more distcc/CCLD/CXXLD fix

Revision 1.425  2005/11/16 10:26:35  glen
- ccache build fix (CCLD, CCLD)
- fixed duplicate files in -libs

Revision 1.424  2005/11/13 18:46:00  glen
- bogus lua includes removed (lua is not in BR)

Revision 1.423  2005/11/12 22:55:10  arekm
- fix _kdever

Revision 1.422  2005/11/12 22:40:14  arekm
- up to 3.5.0rc1

Revision 1.421  2005/11/03 17:10:14  glen
- rel 2

Revision 1.420  2005/11/02 23:50:41  qboosh
- pl for -libs

Revision 1.419  2005/11/02 13:08:54  glen
- -libs split

Revision 1.418  2005/10/09 17:44:09  arekm
- rel 1

Revision 1.417  2005/10/06 16:48:10  arekm
- up to 3.4.3

Revision 1.416  2005/08/26 16:07:07  arekm
- rel 3; rebuild

Revision 1.415  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.414  2005/08/04 06:27:43  arekm
- rel 2

Revision 1.413  2005/08/02 06:03:04  arekm
There was a bug where textedit says too many misspelt words and turns
off when you have only written 1 or 2 words!  So I wrote a patch..  After
discussing with the others, we agree a default of 100 words minimum before it
can be disabled.

Revision 1.412  2005/07/28 17:17:30  arekm
- rel 1

Revision 1.411  2005/07/21 13:47:02  arekm
- up to 3.4.2

Revision 1.410  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.409  2005/06/15 21:35:12  qboosh
- wallpapers dir belongs to X*-libs now

Revision 1.408  2005/05/31 20:56:35  arekm
- rel 1

Revision 1.407  2005/05/30 20:56:24  wolf
- R: hicolor-icon-theme

Revision 1.406  2005/05/26 00:52:07  arekm
- up to 3.4.1

Revision 1.405  2005/05/23 21:40:44  ankry
- reverted

Revision 1.404  2005/05/23 21:34:04  ankry
- C: kile = 1.8-1, rel. 8

Revision 1.403  2005/05/19 09:13:10  pluto
- -fvisiblity-inlines-hidden reenabled.

Revision 1.402  2005/05/16 17:17:11  ankry
- remove bogus C:, rel. 6 for rebuild

Revision 1.401  2005/05/13 20:44:31  ankry
- some conflicts, rel. 5

Revision 1.400  2005/05/13 20:13:25  ankry
- one more mimelnk, desktop; STBR4Ac

Revision 1.399  2005/05/13 17:50:14  arekm
- add Conflicts:     kdeaddons-konqueror < 9:3.4.0

Revision 1.398  2005/05/05 16:57:40  pluto
- disable -fvisibility-inlines-hidden, release 4 for Th.

Revision 1.397.2.1.2.3  2005/09/25 14:39:04  djurban
- update to new snap 050925 :)

Revision 1.397.2.1.2.2  2005/06/20 18:51:28  djurban
- finished snap 050620, will need update in 2h, infinite loop introduced in khtml..

Revision 1.397.2.1.2.1  2005/06/20 13:45:56  djurban
- begin my line of kde snaps, no tarball with sources, as i am using
  my own svn checkout
- ac/am generation moved to %prep, no enable-final

Revision 1.397.2.1  2005/05/03 10:42:20  adgor
- 3.4.89

Revision 1.397  2005/04/24 18:47:53  arekm
- add C: kdeaddons-konqueror < 1:3.4.0; replace O: akregator by C: akregator < 3.4.0

Revision 1.396  2005/04/18 19:40:37  arekm
- rel 3

Revision 1.395  2005/04/18 08:21:09  charles
- kdelibs-devel - added R: mDNSResponder-devel

Revision 1.394  2005/04/15 16:51:43  charles
- rm BR mDNSResponder (installed by mDNSResponder-devel)

Revision 1.393  2005/04/13 17:34:48  qboosh
- normalize bcond for omitting BC

Revision 1.392  2005/03/29 15:41:40  djurban
- rel. 2, conficts for ac isolated, finished

Revision 1.391  2005/03/28 13:47:05  adgor
- Commented out defaultfont.patch (at this moment id does nothing)

Revision 1.390  2005/03/26 17:15:53  qboosh
- sorted BRs, cleanups

Revision 1.389  2005/03/26 16:56:33  arekm
- rel 1; add missing requires (mkochano)

Revision 1.388  2005/03/26 14:33:28  djurban
- rel. 1

Revision 1.387  2005/03/20 14:28:01  qboosh
- -devel O: kttsd-devel, same for -apidocs (kspeech interface is in kdelibs now)

Revision 1.386  2005/03/20 12:29:40  qboosh
- conflicts with kdebase-core < 3.4 (libkdeinit_kcmshell)

Revision 1.385  2005/03/16 22:19:05  arekm
- patch4 and 5 is back

Revision 1.384  2005/03/16 18:30:23  arekm
- on ftp it sits in 3.4 dir

Revision 1.383  2005/03/16 17:46:03  blekot
- Source0 fix

Revision 1.382  2005/03/16 16:59:03  arekm
- merged DEVEL

Revision 1.381  2005/01/05 22:46:14  havner
- rel 3 for aspell 0.50 rebuild

Revision 1.380  2005/01/04 21:54:45  havner
- security pointed by Michal Kochanowicz

Revision 1.379  2004/12/14 23:52:39  havner
- patch 6 & 7 removed, already in branch diff

Revision 1.378  2004/12/14 23:21:40  havner
- post 3.3.2 branch diff

Revision 1.377  2004/12/12 23:10:02  ankry
- 3.3.2; thanks to Michal Kochanowicz

Revision 1.376  2004/12/10 22:57:23  ankry
- rel. 8

Revision 1.375  2004/12/09 19:16:54  havner
- kio_fix patch
- rel 7

Revision 1.374  2004/12/02 20:41:50  djurban
- stbring for ac

Revision 1.373  2004/12/01 20:25:43  djurban
- missing 'fi' wasted 1,5h

Revision 1.372  2004/12/01 19:09:07  djurban
- rel 5 fix instal

Revision 1.371  2004/11/30 16:06:34  djurban
- make patch100 actually apply, now STBRing

Revision 1.370  2004/11/30 15:02:49  djurban
- rel.4 to incorporate 3.3.2 changes stbr

Revision 1.369  2004/11/02 21:08:43  qboosh
- formatting

Revision 1.369.2.13  2005/03/09 22:20:34  arekm
- new tarball

Revision 1.369.2.12  2005/03/05 12:11:33  arekm
- up to 3.4.0 (tarballs _are_ available for pld developers so don't play stupid games as pluto does)

Revision 1.369.2.11  2005/02/24 08:05:39  adgor
- No unsermake BR at this moment

Revision 1.369.2.10  2005/02/20 12:03:54  adgor
- 3.3.92.050217

Revision 1.369.2.9  2005/02/12 15:46:50  adgor
- 3.3.92.050211 - fixed key bindings
- Seems to work nice

Revision 1.369.2.8  2005/02/11 16:23:46  adgor
- Updated to 050210 snap because kdebase-3.3.92 does not build

Revision 1.369.2.7  2005/02/10 19:56:02  adgor
- 3.3.92
- Updated %files

Revision 1.369.2.6  2005/01/21 16:50:10  adgor
- Missing link

Revision 1.369.2.5  2005/01/20 15:08:07  adgor
- Simplified moving

Revision 1.369.2.4  2005/01/20 14:31:20  adgor
- No unsermake at this moment
- Cleanups

Revision 1.369.2.3  2005/01/14 14:53:06  wolf
- 3.3.91

Revision 1.381  2005/01/05 22:46:14  havner
- rel 3 for aspell 0.50 rebuild

Revision 1.380  2005/01/04 21:54:45  havner
- security pointed by Michal Kochanowicz

